#!/bin/bash

GSETTINGS_CONF_PATH="/usr/share/nfs-security/core/SystemSafe/tmp/gsettings_parameter.conf"

echo "AutomaticScreenLocking=99999" > $GSETTINGS_CONF_PATH
echo "TurnoffTheMonitor=99999" >> $GSETTINGS_CONF_PATH
echo "StandbyMode=99999" >> $GSETTINGS_CONF_PATH

while [ 1 ]
do
	if [ ! -f /usr/share/nfs-security/core/SystemSafe/tmp/gsettings_parameter.conf ]; then
		echo "gsettings todo error"
		break
	fi

	lock_time=$(grep "^AutomaticScreenLocking" /usr/share/nfs-security/core/SystemSafe/tmp/gsettings_parameter.conf | awk -F "=" '{print $NF}')
	monitor_time=$(grep "^TurnoffTheMonitor" /usr/share/nfs-security/core/SystemSafe/tmp/gsettings_parameter.conf | awk -F "=" '{print $NF}')
	standby_time=$(grep "^StandbyMode" /usr/share/nfs-security/core/SystemSafe/tmp/gsettings_parameter.conf | awk -F "=" '{print $NF}')

	if [ $lock_time -eq 99999 ] && [ $monitor_time -eq 99999 ] && [ $standby_time -eq 99999 ]; then
		sleep 2
		continue
	fi

	if [ $lock_time -ne 99999 ]; then
		gsettings set org.cdos.desktop.session idle-delay $lock_time
		sed -i -r 's/(AutomaticScreenLocking=)[^\"]*/\199999/' $GSETTINGS_CONF_PATH
	fi

	if [ $monitor_time -ne 99999 ]; then
		gsettings set org.cdos.settings-daemon.plugins.power sleep-display-ac $monitor_time
		gsettings set org.cdos.settings-daemon.plugins.power sleep-display-battery $monitor_time
		sed -i -r 's/(TurnoffTheMonitor=)[^\"]*/\199999/' $GSETTINGS_CONF_PATH
	fi

	if [ $standby_time -ne 99999 ]; then
		gsettings set org.cdos.settings-daemon.plugins.power sleep-inactive-ac-timeout $standby_time
		gsettings set org.cdos.settings-daemon.plugins.power sleep-inactive-battery-timeout $standby_time
		sed -i -r 's/(StandbyMode=)[^\"]*/\199999/' $GSETTINGS_CONF_PATH
	fi

	sleep 2
done

exit 0
